ultimix

- Main Page
- Data Structures
- Files
- Examples

- File List
- Globals

Functions | Variables
dialogs.js File Reference

Go to the source code of this file.

## Functions
| if (!ultimix)
| if (!ultimix.std_dialogs)

## Variables
ultimix std_dialogs | MB_ABORT = 1
ultimix std_dialogs | MB_RETRY = 2
ultimix std_dialogs | MB_IGNORE = 4
ultimix std_dialogs | MB_ABORTRETRYIGNORE = 7
ultimix std_dialogs | MB_CANCEL = 8
ultimix std_dialogs | MB_TRY = 16
ultimix std_dialogs | MB_CONTINUE = 32
ultimix std_dialogs | MB_CANCELTRYCONTINUE = 56
ultimix std_dialogs | MB_HELP = 64
ultimix std_dialogs | MB_OK = 128
ultimix std_dialogs | MB_OKCANCEL = 136
ultimix std_dialogs | MB_RETRYCANCEL = 10
ultimix std_dialogs | MB_YES = 256
ultimix std_dialogs | MB_NO = 512
ultimix std_dialogs | MB_YESNO = 768
ultimix std_dialogs | MB_YESNOCANCEL = 776
ultimix std_dialogs | MB_ICONEXCLAMATION = 2048
ultimix std_dialogs | MB_ICONWARNING = 4096
ultimix std_dialogs | MB_ICONINFORMATION = 8192
ultimix std_dialogs | MB_ICONASTERISK = 16384
ultimix std_dialogs | MB_ICONQUESTION = 32768
ultimix std_dialogs | MB_ICONSTOP = 65536
ultimix std_dialogs | MB_ICONERROR = 131072
ultimix std_dialogs | MB_ICONHAND = 262144
ultimix std_dialogs | MB_ICONLOADING = 524288
ultimix std_dialogs | MB_ICONWAIT = 524288
ultimix std_dialogs | MB_MODAL = 1048576
ultimix std_dialogs | MessageBoxCounter = 0

## Function Documentation

if | ( | ! | ultimix | ) |

Global namespace.

Author
  Dodonov A.A.

Definition at line 6 of file dialogs.js.

{
ultimix = {};
}

if | ( | !ultimix. | std_dialogs | ) |

Local namespace.

Author
  Dodonov A.A.

Definition at line 16 of file dialogs.js.

{
ultimix.std_dialogs = {};
}

## Variable Documentation

ultimix std_dialogs MB_ABORT = 1

Constants for buttons.

Author
  Dodonov A.A.

Definition at line 26 of file dialogs.js.

ultimix std_dialogs MB_ABORTRETRYIGNORE = 7

Definition at line 29 of file dialogs.js.

ultimix std_dialogs MB_CANCEL = 8

Definition at line 30 of file dialogs.js.

ultimix std_dialogs MB_CANCELTRYCONTINUE = 56

Definition at line 33 of file dialogs.js.

ultimix std_dialogs MB_CONTINUE = 32

Definition at line 32 of file dialogs.js.

ultimix std_dialogs MB_HELP = 64

Definition at line 34 of file dialogs.js.

ultimix std_dialogs MB_ICONASTERISK = 16384

Definition at line 51 of file dialogs.js.

ultimix std_dialogs MB_ICONERROR = 131072

Definition at line 54 of file dialogs.js.

ultimix std_dialogs MB_ICONEXCLAMATION = 2048

Constants for icons.

Author
  Dodonov A.A.

Definition at line 48 of file dialogs.js.

ultimix std_dialogs MB_ICONHAND = 262144

Definition at line 55 of file dialogs.js.

ultimix std_dialogs MB_ICONINFORMATION = 8192

Definition at line 50 of file dialogs.js.

ultimix std_dialogs MB_ICONLOADING = 524288

Definition at line 56 of file dialogs.js.

ultimix std_dialogs MB_ICONQUESTION = 32768

Definition at line 52 of file dialogs.js.

ultimix std_dialogs MB_ICONSTOP = 65536

Definition at line 53 of file dialogs.js.

ultimix std_dialogs MB_ICONWAIT = 524288

Definition at line 57 of file dialogs.js.

ultimix std_dialogs MB_ICONWARNING = 4096

Definition at line 49 of file dialogs.js.

ultimix std_dialogs MB_IGNORE = 4

Definition at line 28 of file dialogs.js.

ultimix std_dialogs MB_MODAL = 1048576

Definition at line 58 of file dialogs.js.

ultimix std_dialogs MB_NO = 512

Definition at line 39 of file dialogs.js.

ultimix std_dialogs MB_OK = 128

Definition at line 35 of file dialogs.js.

ultimix std_dialogs MB_OKCANCEL = 136

Definition at line 36 of file dialogs.js.

ultimix std_dialogs MB_RETRY = 2

Definition at line 27 of file dialogs.js.

ultimix std_dialogs MB_RETRYCANCEL = 10

Definition at line 37 of file dialogs.js.

ultimix std_dialogs MB_TRY = 16

Definition at line 31 of file dialogs.js.

ultimix std_dialogs MB_YES = 256

Definition at line 38 of file dialogs.js.

ultimix std_dialogs MB_YESNO = 768

Definition at line 40 of file dialogs.js.

ultimix std_dialogs MB_YESNOCANCEL = 776

Definition at line 41 of file dialogs.js.

ultimix std_dialogs MessageBoxCounter = 0

Definition at line 60 of file dialogs.js.